gr-baz Package

RTL2832_NAMESPACE::i2c_interface Class Referenceabstract

`#include <rtl2832.h>`

Inheritance diagram for RTL2832_NAMESPACE::i2c_interface:
[legend]

## Public Member Functions
virtual int | set_i2c_repeater (bool on=true, const char *function_name=NULL, int line_number=-1, const char *line=NULL)=0
virtual int | i2c_read (uint8_t i2c_addr, uint8_t *buffer, int len)=0
virtual int | i2c_write (uint8_t i2c_addr, uint8_t *buffer, int len)=0
virtual int | i2c_write_reg (uint8_t i2c_addr, uint8_t reg, uint8_t val)=0
virtual int | i2c_read_reg (uint8_t i2c_addr, uint8_t reg, uint8_t &data)=0

## Member Function Documentation

## ◆ i2c_read()

virtual int RTL2832_NAMESPACE::i2c_interface::i2c_read | ( | uint8_t | i2c_addr,
|  | uint8_t * | buffer,
|  | int | len )
| pure virtual

Implemented in RTL2832_NAMESPACE::demod, RTL2832_NAMESPACE::tuner, and RTL2832_NAMESPACE::tuner_skeleton.

## ◆ i2c_read_reg()

virtual int RTL2832_NAMESPACE::i2c_interface::i2c_read_reg | ( | uint8_t | i2c_addr,
|  | uint8_t | reg,
|  | uint8_t & | data )
| pure virtual

Implemented in RTL2832_NAMESPACE::demod, and RTL2832_NAMESPACE::tuner_skeleton.

## ◆ i2c_write()

virtual int RTL2832_NAMESPACE::i2c_interface::i2c_write | ( | uint8_t | i2c_addr,
|  | uint8_t * | buffer,
|  | int | len )
| pure virtual

Implemented in RTL2832_NAMESPACE::demod, RTL2832_NAMESPACE::tuner, and RTL2832_NAMESPACE::tuner_skeleton.

## ◆ i2c_write_reg()

virtual int RTL2832_NAMESPACE::i2c_interface::i2c_write_reg | ( | uint8_t | i2c_addr,
|  | uint8_t | reg,
|  | uint8_t | val )
| pure virtual

Implemented in RTL2832_NAMESPACE::demod, and RTL2832_NAMESPACE::tuner_skeleton.

## ◆ set_i2c_repeater()

virtual int RTL2832_NAMESPACE::i2c_interface::set_i2c_repeater | ( | bool | on = true,
|  | const char * | function_name = NULL,
|  | int | line_number = -1,
|  | const char * | line = NULL )
| pure virtual

Implemented in RTL2832_NAMESPACE::demod, RTL2832_NAMESPACE::tuner, and RTL2832_NAMESPACE::tuner_skeleton.

Referenced by RTL2832_NAMESPACE::i2c_repeater_scope::i2c_repeater_scope().

The documentation for this class was generated from the following file:

- rtl2832.h